import React from "react"
import { Cookies, Link, Content } from "@onegeo/gatsby-theme-onegeo"

const cookies = () => {
    const decline = () => {
        return null
    }
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>Cookies</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`interface Icookies {
               location?: string,
               buttonText?: string,
               declineButtonText?: String,
               expires?: number,
               styles?: {},
               buttonStyles?: {},
               declineButtonStyle?: {},
               decline: any
            }`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="m-4 flex gap-6">
                <Cookies
                    declineButtonStyle={{ color: "#4e503b", fontSize: "13px" }}
                    buttonStyles={{ color: "#4e503b", fontSize: "13px" }}
                    styles={{ background: "#2B373B" }}
                    decline={decline}
                />
            </div>
        </Content>
    )
}

export default cookies
