import React, { ReactElement } from "react"
import { Content, Link, Image } from "@onegeo/gatsby-theme-onegeo"

function map(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc/core">Retour</Link>

                <h1>Image</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
interface ImageProps {
  image?: string | IGatsbyImageData;
  classname?: string;
}`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="m-4 flex gap-6">
                <Image image="https://fakeimg.pl/480x480/" />
                <Image image="https://fakeimg.pl/480x480/" />
                <Image />
            </div>
        </Content>
    )
}

export default map
