import React, { ReactElement } from "react"

import { Content, Link } from "@onegeo/gatsby-theme-onegeo"

function index(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <h1>Gatsby-theme-onegeo</h1>
                <h2>Components</h2>
                <Link to="/doc/core">To CORE</Link>
                <br></br>
                <Link to="/doc/hero">Hero</Link>
                <br></br>
                <Link to="/doc/socials">Socials</Link>
                <br></br>
                <Link to="/doc/feature">Feature</Link>
                <br></br>
                <Link to="/doc/stats">Stats</Link>
                <br></br>
                <Link to="/doc/header">Header</Link>
                <br></br>
                <Link to="/doc/partners">Partners</Link>
                <br></br>
                <Link to="/doc/news">News</Link>
                <br></br>
                <Link to="/doc/cookies">Cookies</Link>
                <br></br>
                <Link to="/doc/footer">Footer</Link>
                <br></br>
                <Link to="/doc/section">Section</Link>
                <br></br>
                <Link to="/doc/events">Events</Link>
                <br></br>
                <Link to="/doc/sections">Sections</Link>
                <br></br>
                <Link to="/doc/data">Data</Link>
                <br></br>
                <Link to="/doc/maps">Maps</Link>
                <br></br>
                <Link to="/doc/text">Text</Link>
            </div>
        </Content>
    )
}

export default index
